// *** Copyright (c)2007 Jim Massey. All rights reserved  ***********
// *** massey@stlouis-shopper.com **************
// *** No Warranty - certified to work with nothing ***
// *** developed to work with mozilla kiosk **** 

// *** clear privacy data ***

function privacyClearAll() {

    clearCache();
    clearCookies();
    clearPasswords();
    clearHistory();
  
}

function clearCache() {
  var Cache = Components.classes["@mozilla.org/network/cache-service;1"]
                         .getService(Components.interfaces.nsICacheService);
  Cache.evictEntries(Components.interfaces.nsICache.STORE_ANYWHERE);

}

function clearCookies() {
  var Cookies = Components.classes["@mozilla.org/cookiemanager;1"]
                           .getService(Components.interfaces.nsICookieManager);
  Cookies.removeAll();
}

function clearPasswords() {
  var loginManager = Components.classes["@mozilla.org/login-manager;1"]
                     .getService(Components.interfaces.nsILoginManager);
  loginManager.removeAllLogins();

}

function clearHistory() {
  var History = Components.classes["@mozilla.org/browser/global-history;2"]
                          .getService(Components.interfaces.nsIBrowserHistory);
  History.removeAllPages();
}
